<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tool="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <VideoView
        android:id="@+id/mp4VideoView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"/>

    <ImageView
        android:id="@+id/ivLogo"
        android:layout_marginTop="133dp"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:src="@mipmap/logo_login"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <ImageView
        android:layout_marginTop="10dp"
        android:src="@mipmap/icon_swago_lite"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/ivLogo"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvAccountLogin"
        android:text="@string/acccount_login"
        android:layout_width="wrap_content"
        android:layout_marginBottom="20dp"
        android:textSize="16dp"
        android:textColor="#fff"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/tvAgreement"
        android:layout_height="wrap_content"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clFaceBook"
        android:layout_marginBottom="202dp"
        android:layout_marginStart="40dp"
        android:layout_marginEnd="40dp"
        android:visibility="visible"
        android:background="@drawable/shape_white_37"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        android:layout_height="56dp">

        <ImageView
            android:src="@mipmap/facebook"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginStart="30dp"
            android:layout_width="24dp"
            android:layout_height="24dp"/>


        <com.swago.baseswago.cusview.MediumTextView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:text="Facebook"
            android:textColor="#131B23"
            android:textSize="16dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/clGoogle"
        android:layout_marginBottom="128dp"
        android:layout_marginStart="40dp"
        android:layout_marginEnd="40dp"
        android:background="@drawable/shape_white_37"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_width="match_parent"
        android:layout_height="56dp">

        <ImageView
            android:src="@mipmap/google"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginStart="30dp"
            android:padding="2dp"
            android:layout_width="24dp"
            android:layout_height="24dp"/>


        <com.swago.baseswago.cusview.MediumTextView
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:text="Google"
            android:textColor="#131B23"
            android:textSize="16dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <EditText
        android:id="@+id/etAccount"
        android:layout_marginBottom="168dp"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:hint="@string/input_account"
        android:gravity="center"
        android:textColor="#000"
        android:textSize="16dp"
        android:visibility="gone"
        android:background="@drawable/shape_f1f4f8_29"
        app:layout_constraintBottom_toTopOf="@+id/tvAccountLogin"
        android:layout_width="match_parent"
        android:layout_height="54dp"/>

    <EditText
        android:id="@+id/etSecret"
        android:hint="@string/input_secret"
        android:gravity="center"
        android:textColor="#000"
        android:textSize="18dp"
        android:visibility="gone"
        android:inputType="textPassword"
        android:layout_marginBottom="96dp"
        android:layout_marginStart="50dp"
        android:layout_marginEnd="50dp"
        android:background="@drawable/shape_f1f4f8_29"
        app:layout_constraintBottom_toTopOf="@+id/tvAccountLogin"
        android:layout_width="match_parent"
        android:layout_height="54dp"/>

    <ImageView
        android:id="@+id/ivAccountLogin"
        android:layout_marginBottom="22dp"
        android:padding="13dp"
        android:visibility="gone"
        android:background="@drawable/shape_ffbb56_ff7f8f_ff56b7"
        android:src="@mipmap/icon_account_login"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toTopOf="@+id/tvAccountLogin"
        android:layout_width="54dp"
        android:layout_height="54dp"/>


    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvAgreement"
        android:textSize="12dp"
        android:textColor="#fff"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/and"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="47dp"
        app:layout_constraintHorizontal_chainStyle="packed"
        android:text="@string/user_agreement"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>

    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/and"
        android:text="@string/and"
        android:textSize="12dp"
        android:textColor="#fff"
        android:layout_marginStart="10dp"
        android:layout_marginEnd="10dp"
        app:layout_constraintStart_toEndOf="@+id/tvAgreement"
        app:layout_constraintEnd_toStartOf="@+id/tvPrivacy"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="47dp"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <com.swago.baseswago.cusview.MediumTextView
        android:id="@+id/tvPrivacy"
        android:textSize="12dp"
        android:textColor="#fff"
        app:layout_constraintStart_toEndOf="@+id/and"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginBottom="47dp"
        android:text="@string/privacy_policy"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


    <com.swago.baseswago.cusview.MediumTextView
        android:textSize="12dp"
        android:textColor="#fff"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_marginBottom="20dp"
        android:gravity="center"
        android:text="@string/explain"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"/>


</androidx.constraintlayout.widget.ConstraintLayout>